Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
placement_group = client.cloud.placement_groups.create(
project_id=1,
region_id=1,
name="my-server-group",
policy="anti-affinity",
)
print(placement_group.project_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
placementGroup, err := client.Cloud.PlacementGroups.New(context.TODO(), cloud.PlacementGroupNewParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
Name: "my-server-group",
Policy: cloud.PlacementGroupNewParamsPolicyAntiAffinity,
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", placementGroup.ProjectID)
}
curl --request POST \
--url https://api.gcore.com/cloud/v1/servergroups/{project_id}/{region_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "my-server-group",
"policy": "anti-affinity"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'my-server-group', policy: 'anti-affinity'})
};
fetch('https://api.gcore.com/cloud/v1/servergroups/{project_id}/{region_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"instances": [
{
"instance_id": "6d14f194-6c1e-49b3-9fc7-50dc8401eb74",
"instance_name": "my-instance-1"
},
{
"instance_id": "142988bb-291e-4862-bffb-b1cf20036c27",
"instance_name": "my-instance-2"
}
],
"name": "my-server-group",
"policy": "anti-affinity",
"project_id": 1337,
"region": "Luxembourg 1",
"region_id": 7,
"servergroup_id": "47003067-550a-6f17-93b6-81ee16ba061e"
}Placement Groups
Create placement group
Create an affinity or anti-affinity or soft-anti-affinity placement group
POST
/
cloud
/
v1
/
servergroups
/
{project_id}
/
{region_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
placement_group = client.cloud.placement_groups.create(
project_id=1,
region_id=1,
name="my-server-group",
policy="anti-affinity",
)
print(placement_group.project_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
placementGroup, err := client.Cloud.PlacementGroups.New(context.TODO(), cloud.PlacementGroupNewParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
Name: "my-server-group",
Policy: cloud.PlacementGroupNewParamsPolicyAntiAffinity,
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", placementGroup.ProjectID)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
Body
application/json
Response
200 - application/json
OK
The list of instances in this server group.
Show child attributes
Show child attributes
Example:
[
{
"instance_id": "6d14f194-6c1e-49b3-9fc7-50dc8401eb74",
"instance_name": "my-instance-1"
},
{
"instance_id": "142988bb-291e-4862-bffb-b1cf20036c27",
"instance_name": "my-instance-2"
}
]
The name of the server group.
Example:
"my-server-group"
The server group policy. Options are: anti-affinity, affinity, or soft-anti-affinity.
Example:
"anti-affinity"
Project ID
Example:
1337
Region name
Example:
"Luxembourg 1"
Region ID
Example:
7
The ID of the server group.
Example:
"47003067-550a-6f17-93b6-81ee16ba061e"
Was this page helpful?